API ReferenceEndpointsTeam
Change a member's role or enable state (admin only)
Authorization
bearerAuth AuthorizationBearer <token>
Session token issued by the accounts service (or the legacy /v1/auth routes).
In: header
Path Parameters
user_uuid*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/team/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "enabled": true, "role_name": "admin" }'{ "message": "member updated"}